{% extends 'base.html.twig' %}

{% block title %}{{page_title}}{% endblock %}

{% block body %}
<div class="col-md-12">
    <div class="content-box-large">
        <div class="panel-heading">
          <div class="panel-title">{{'Product list'}}</div>
          
          <div class="panel-options">
              <a href="{{path('products_add')}}" data-rel="collapse"><i class="fa fa-plus"></i></a>
              <a href="{{path('products_restore')}}" data-rel="collapse"><i class="fas fa-undo-alt"></i></a>
          </div>
          <div class="product-filters" style="display:inline-block;width:100%;">
            <form id="product-filters-form">
              <div class="col-xs-12 col-md-4">
                  <input type="text" class="form-control filter-item" name="q" value="{{app.request.query.get('q')}}"  placeholder="{{'Filter by name/sku'|trans}}">
              </div>
              <div class="col-xs-12 col-sm-4 col-md-4">
                  <select class="form-control in_stock filter-item" name="stock">
                    <option value="">{{"Filter by stock"}}</option>
                    <option value="1" {{app.request.query.get('stock') == "1"?'selected':''}}>{{"In stock"|trans}}</option>
                    <option value="0" {{app.request.query.get('stock') == "0"?'selected':''}}>{{"Out of stock"|trans}}</option>
                  </select>
              </div>
              <div class="col-xs-12 col-sm-4 col-md-2">
                  <input type="text" value="{{app.request.query.get("date")}}" class="form-control start_date filter-dates" name="date"  placeholder="{{'Filter by date'|trans}}">
              </div>
              <div class="col-xs-12 col-sm-4 col-md-2">
                  <input type="text" value="{{app.request.query.get("e_date")}}" class="form-control end_date filter-dates" name="e_date"  placeholder="{{'Filter by end date'|trans}}">
              </div>
              </form>
          </div>
      </div>
        <div class="panel-body">
            <div class="table-responsive">
            <table class="table table-striped">
            <thead>
              <tr>
                <th>#</th>
                <th>{{'Image'|trans}}</th>
                <th>{{'Title'|trans}}</th>
                <th>{{'Qty'|trans}}</th>
                <th>{{'Stock status'|trans}}</th>
                <th>{{'Buy price'|trans}}</th>
                <th>{{'Sell price'|trans}}</th>
                <th>{{'Created at'|trans}}</th>
                <th>{{'Updated at'|trans}}</th>
                <th>{{'Actions'|trans}}</th>
              </tr>
            </thead>
            <tbody>
             {% for product in products %} 
              <tr>
                <td>
                  {{product.id}}
                </td>
                <td>
                    <img src="{{asset(product.getImage(uploadsDir))}}" style="max-width:50px"/>
                </td>
                <td>
                  {{product.title}}
                </td>

                <td>
                    {{product.qty}}
                </td>

                <td>
                    {{product.getInStock()?'Ín stock'|trans:'Out of stock'|trans}}
                </td>

                <td>
                    {{product.getFormattedBuyPrice(default_currency_symbol)|raw}}
                </td>

                <td>
                    {{product.getFormattedSellPrice(default_currency_symbol)|raw}}
                </td>

            
                <td>
                  {{product.getCreatedAt()|date('d.m.Y H:i')}}
                </td>
                <td>
                    {{product.getUpdatedAt()|date('d.m.Y H:i')}}
                 </td>
                <td>
                    <a href="{{path('products_edit',{
                        id:product.id
                    })}}">
                        <i class="fa fa-edit"></i>
                    </a>
                    <a href="{{path('products_delete',{
                        id:product.id
                    })}}">
                        <i class="fa fa-trash-alt"></i>
                    </a>
                </td>
            </tr>
            {% endfor %}
            </tbody>
          </table>
          </div>
          {{knp_pagination_render(products)}}
        </div>
    </div>
</div>
{% endblock %}
{% block scripts %}
  {{parent()}}
  <script src="{{asset('js/product.js')}}"></script>
{% endblock %}

